<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmCreateListExFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmCreateListExFlags Enumeration

Visual Basic
C#
C++/CLI
Options for creating lists used in calls to IEdmBatchListing2::CreateListEx. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmCreateListExFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmCreateListExFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmCreateListExFlags : public System.Enum

# Members

Member | Description
--- | ---
Edmclef_AllConfigurations | 2 = Return separate nodes for configurations
Edmclef_AsBuilt | 16 = Use as-built reference versions instead of the latest version
Edmclef_DontGetLatest | 64 = Do not get the latest version
Edmclef_GetDrawings | 8 = Return drawings of added files
Edmclef_GetReferences | 4 = Return references of added files
Edmclef_MayReadFiles | 1 = Permit the API to read variables from the cached files; if this flag is not set, values are read from the database
Edmclef_Nothing | 0 = Default behavior
Edmclef_ReturnReferences | 32 = Return file references for every node that is passed in

# See Also

####

EPDM.Interop.epdm Namespace